Subject: Worldly delicacies w/out a passport

From: A Taste of Europe <[email-masked]>
Date: Fri, 02 Jan 2015 10:15:23 -0800

Hey Krb-wg-archive,

Get a monthly box filled with an array of global delights - delicious finds from 
a wide variety of countries. You will receive at least seven international food items. 

Foods will range from cookies and candies to soups and entrees, nothing is off limits.

Delicious treats from around the world delivered to your doorstep
/ http://www.expandgourmeverse.com/carpetbaggery/mechanism/successorship/satisfyingly/suborder.html 

To modify message preferences - notify w e b m d d-- FBS one two five Sheridan St
Newcastle, WY 82701 or visit here  
Okay, first I had to think where I live geographically to realize that this may be me. I think I was in High School when I realized that that kickstand of land at the bottom of the US was Florida. Geography is just not my strength. 

I don't really know of anything that goes on here that's worth driving a few days though. I would be interested in hearing what others might say. 
We are planning to take our kids to Storybook Land with family who said it's a fun thing for toddlers, and we are also trying to get to Sesame Place for the Christmas show, although that one is not a definite. The Christmas tree at Rockefeller Center is only a train ride away, but we are thinking the kiddos are a little young at this point, so maybe next year. We will probably do a bit of driving around to see the lights, there is supposed to be a house about 20 minutes away that does a sound and light show. There is also a neighborhood in Brooklyn that goes bananas deco too.
S :D Did you start off thinking youd be subscribed to so many boxes and have so many readers? :) 
I have a question about the 3 month sub giveaway nowif we already have a Popsugar sub, can we not just add the 3 months on to the end of our existing one? I dont need doubles of boxes, haha. If thats the case, Id like to know so I can stop entering since because I already have the box, I would want 
Its the Jan, Feb, March boxes. We already d it, its not an add on Thats sweet of you, but you can still enter to win for a gift
We are now into my very favorite time of year I'm looking forward to some of the things that will be going on in my area and maybe even the whole state for a day trip or two.

I'll be missing my favorite, though... Nights of Light in St. Augustine, Florida. We won't be able to get there until spring. 

Do you have any Christmas events to share that will be happening along the eastern seaboard? We have a Christkindl market that will be happening in about 4 weeks, but I sure wish there would be more for us to do... I'm willing to do a 2 or 3 day road trip to find something fabulous